<ul class="alert alert-danger" *ngIf="errores?.length > 0">
  <li *ngFor="let err of errores">
    {{ err }}
  </li>
</ul>

<div class="card bg-dark text-white">
  <div class="card-header">{{ titulo }}</div>
  <div class="card-body">

    <form #clienteForm="ngForm">
      <div class="form-group row">
        <label for="cedula" class="col-form-label col-sm-2">RUC</label>
        <div class="col-sm-6">
          <input type="text" class="form-control" [(ngModel)]="cliente.cedula" name="cedula" #nombre="ngModel"> <!-- required minlength="4" -->
          <!--div class="alert alert-danger" *ngIf="nombre.invalid && (nombre.dirty || nombre.touched)">
            <div *ngIf="nombre.errors.required">
              Nombre es requerido
            </div>
            <div *ngIf="nombre.errors.minlength">
              Nombre debe tener al menos 4 caracteres
            </div>
          </div-->
        </div>
      </div>
      <div class="form-group row">
        <label for="nombre" class="col-form-label col-sm-2">Nombre</label>
        <div class="col-sm-6">
          <input type="text" class="form-control" [(ngModel)]="cliente.nombre" name="nombre" #nombre="ngModel"> <!-- required minlength="4" -->
          <div class="alert alert-danger" *ngIf="nombre.invalid && (nombre.dirty || nombre.touched)">
            <div *ngIf="nombre.errors.required">
              Nombre es requerido
            </div>
            <div *ngIf="nombre.errors.minlength">
              Nombre debe tener al menos 4 caracteres
            </div>
          </div>
        </div>
      </div>

      <div class="form-group row">
        <label for="apellido" class="col-form-label col-sm-2">Apellido</label>
        <div class="col-sm-6">
          <input type="text" class="form-control" [(ngModel)]="cliente.apellido" name="apellido" #apellido="ngModel"> <!-- required -->
          <div class="alert alert-danger" *ngIf="apellido.invalid && (apellido.dirty || apellido.touched)">
            <div *ngIf="apellido.errors.required">
              Apellido es requerido
            </div>
          </div>
        </div>
      </div>

      <div class="form-group row">
        <label for="email" class="col-form-label col-sm-2">Email</label>
        <div class="col-sm-6">
          <input type="email" class="form-control" [(ngModel)]="cliente.email" name="email" #email="ngModel"> <!-- required email -->
          <div class="alert alert-danger" *ngIf="email.invalid && (email.dirty || email.touched)">
            <div *ngIf="email.errors.required">
              Email es requerido
            </div>
            <div *ngIf="email.errors.email">
              Email debe tener un formato válido
            </div>
          </div>
        </div>
      </div>

      <!--div class="form-group row">
        <label for="createAt" class="col-form-label col-sm-2">Fecha</label>
        <div class="col-sm-6">
          <input [matDatepicker]="miDatepicker" class="form-control" [(ngModel)]="cliente.createAt" name="createAt" style="display:inline; width:300px;">
          <mat-datepicker-toggle [for]="miDatepicker"></mat-datepicker-toggle>
          <mat-datepicker #miDatepicker></mat-datepicker>
        </div>
      </div-->

      <div class="form-group row">
        <label for="region" class="col-form-label col-sm-2">Región</label>
        <div class="col-sm-6">
          <select [compareWith]="compararRegion" class="form-control" [(ngModel)]="cliente.region" name="region" style="width:500px;">
            <option [ngValue]="undefined">--- selecionar una región ---</option>
            <option *ngFor="let region of regiones" [ngValue]="region">{{region.nombre}}</option>
          </select>
        </div>
      </div>
      <div class="form-group row">
        <label for="direccion" class="col-form-label col-sm-2">direccion</label>
        <div class="col-sm-6">
          <input type="text" class="form-control" [(ngModel)]="cliente.direccion" name="direccion" #email="ngModel"> <!-- required email -->
          <!--div class="alert alert-danger" *ngIf="email.invalid && (email.dirty || email.touched)">
            <div *ngIf="email.errors.required">
              Email es requerido
            </div>
            <div *ngIf="email.errors.email">
              Email debe tener un formato válido
            </div>
          </div-->
        </div>
      </div>
      <div class="form-group row">
        <label for="telefono" class="col-form-label col-sm-2">Telefono</label>
        <div class="col-sm-6">
          <input type="text" class="form-control" [(ngModel)]="cliente.telefono" name="telefono" #email="ngModel"> <!-- required email -->
          <!--div class="alert alert-danger" *ngIf="email.invalid && (email.dirty || email.touched)">
            <div *ngIf="email.errors.required">
              Email es requerido
            </div>
            <div *ngIf="email.errors.email">
              Email debe tener un formato válido
            </div>
          </div-->
        </div>
      </div>
      <div class="form-group row">
        <div class="col-sm-6">
          <button class="btn btn-primary" role="button" (click)='createUsuario()' *ngIf="!cliente.id else elseBlock" [disabled]="!clienteForm.form.valid">Crear</button>

          <ng-template #elseBlock>
            <button class="btn btn-primary" role="button" (click)='updateUsuario()' [disabled]="!clienteForm.form.valid">Editar</button>
          </ng-template>
        </div>
      </div>
    </form>

  </div>
</div>
